List products with nested variants & units (tree view)
GET
/api/dash/{orgId}/products
const url = 'https://api.medivy.id/api/dash/example/products?page=1&size=20&isActive=true&isConsignment=true&hasConsignmentStock=true&ingredientsReview=true&sort=createdAt&order=asc';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.medivy.id/api/dash/example/products?page=1&size=20&isActive=true&isConsignment=true&hasConsignmentStock=true&ingredientsReview=true&sort=createdAt&order=asc' \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”orgId
required
string
Your organization ID. The API key must belong to this organization.
Query Parameters
Section titled “Query Parameters”page
number | null
size
number | null
search
string
category
string
isActive
string
isConsignment
Deprecated alias of hasConsignmentStock (MP-111)
string
Deprecated alias of hasConsignmentStock (MP-111)
hasConsignmentStock
MP-111 — has a live consignment batch (within the caller’s outlets)
string
MP-111 — has a live consignment batch (within the caller’s outlets)
drugClass
Comma-separated drug classifications; “none” = not set
string
Comma-separated drug classifications; “none” = not set
ingredientsReview
MP-112 — has an active-ingredient row flagged needsReview
string
MP-112 — has an active-ingredient row flagged needsReview
createdFrom
string
createdTo
string
updatedFrom
string
updatedTo
string
sort
string
order
string
Responses
Section titled “Responses”OK
Media typeapplication/json
Example generated
exampleMissing, invalid, disabled or expired API key.
Media typeapplication/json
object
ok
message
string
Example
{ "ok": false}The key belongs to another organization, the request came from an IP outside the key’s allowlist, or the key’s user lacks the permission.
Media typeapplication/json
object
ok
message
string
Example
{ "ok": false}Too many requests from this organization.
Media typeapplication/json
object
ok
message
string
Example
{ "ok": false}